gnutls_load_file(3)

NAME
gnutls_load_file - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_load_file(const char * filename, gnutls_datum_t * data);

ARGUMENTS

const char * filename
    the name of the file to load

gnutls_datum_t * data
    Where the file will be stored

DESCRIPTION
This function will load a file into a datum. The data are zero terminated but the terminating null is not included in length. The returned data are allocated using gnutls_malloc().

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise an error code is returned. Since 3.1.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/